require "import"
import "android.app.*"
import "android.os.*"
import "android.content.*"
import "android.net.Uri"
import "android.widget.*"

activity.setTitle("Radio Accesibil")

function vibrate(duration)
    local vibrator = activity.getSystemService(Context.VIBRATOR_SERVICE)
    if vibrator then
        vibrator.vibrate(duration)
    end
end

function openWebsite(url)
    local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
    activity.startActivity(intent)
end

function showInstructions()
    local alertDialog = AlertDialog.Builder(activity)
    alertDialog.setTitle("Instrucțiuni")
    alertDialog.setMessage("Glisează spre dreapta până vei auzi numele postului. Dacă apare posibilitatea de instalare, dă înapoi și nu va mai apărea. Dacă apar anunțuri, le vei închide. În Radio România vei găsi peste 40 de posturi diversificate, iar în Radio Creștin vei găsi posturi protestante și neoprotestante cu materiale audio religioase.")
    alertDialog.setPositiveButton("OK", nil)
    alertDialog.show()
end

vibrate(200)
os.execute("sleep 0.05")
vibrate(50)

layout = LinearLayout(activity)
layout.setOrientation(LinearLayout.VERTICAL)

button1 = Button(activity)
button1.setText("Radio România")
button1.setOnClickListener(luajava.createProxy("android.view.View$OnClickListener", {
    onClick = function(view)
        vibrate(200)
        openWebsite("https://www.radioexpert.net/radio-romania-live-music/28/")
    end
}))

button2 = Button(activity)
button2.setText("Radio Creștin")
button2.setOnClickListener(luajava.createProxy("android.view.View$OnClickListener", {
    onClick = function(view)
        vibrate(200)
        openWebsite("https://www.radioexpert.net/radio-romania-live-music/28/crestin/")
    end
}))

button3 = Button(activity)
button3.setText("Instrucțiuni")
button3.setOnClickListener(luajava.createProxy("android.view.View$OnClickListener", {
    onClick = function(view)
        vibrate(200)
        showInstructions()
    end
}))

layout.addView(button1)
layout.addView(button2)
layout.addView(button3)

activity.setContentView(layout)